IdentifiantMot de passe
Loading...
Mot de passe oublié ?Je m'inscris ! (gratuit)
Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

Lisp Discussion :

Selection de cercles


Sujet :

Lisp

  1. #1
    Nouveau Candidat au Club
    Homme Profil pro
    Analyse système
    Inscrit en
    Juillet 2017
    Messages
    1
    Détails du profil
    Informations personnelles :
    Sexe : Homme
    Localisation : Canada

    Informations professionnelles :
    Activité : Analyse système
    Secteur : Service public

    Informations forums :
    Inscription : Juillet 2017
    Messages : 1
    Points : 1
    Points
    1
    Par défaut Selection de cercles
    Voila j'ai besoin de votre aide!

    J'essaie de faire une LISP toute simple qui selectionne les cercles plus petit ou égale à X.
    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
     
    (defun c:Pickcircle (/ x )
    (setq x (getreal "\nEntrez l'épaisseur"))
    (command "_select" (ssget "_X" '((0 . "CIRCLE") (-4 . "<=") (40 . x))))
    )
    Voici ce que j'ai de fait, mais dans autocad l'erreur suivante apparait.

    Select objects: ; error: bad SSGET list value

    Je débute, donc si c'est possible pour vous de me donner quelques explications en plus de la réponse j'apprécirais énormément.



    Merci Beaucoup!

  2. #2
    Membre habitué
    Inscrit en
    Juin 2002
    Messages
    198
    Détails du profil
    Informations forums :
    Inscription : Juin 2002
    Messages : 198
    Points : 139
    Points
    139
    Par défaut
    Bonjour,
    Il y a une Autocad fonction pour chercher des entitees selon des paramètres
    filter en Anglais.

    Nom : Object_Selection_Filters.png
Affichages : 154
Taille : 15,9 Ko

  3. #3
    Membre à l'essai
    Profil pro
    Inscrit en
    Août 2007
    Messages
    10
    Détails du profil
    Informations personnelles :
    Localisation : France

    Informations forums :
    Inscription : Août 2007
    Messages : 10
    Points : 11
    Points
    11
    Par défaut
    Salut,

    Ton filtre de sélection ne marche pas parce l'apostrophe ('), qui est un raccourci pour la fonction quote, empêche l'évaluation des éléments de la liste, donc de la variable x.

    Code : Sélectionner tout - Visualiser dans une fenêtre à part
    1
    2
    3
    4
    5
    6
    7
    8
    (defun c:Pickcircle (/ x)
      (if (setq x (getdist "\nSpécifiez l'épaisseur: "))
        (sssetfirst
          nil
          (ssget "_X" (list (cons 0 "CIRCLE") (cons -4 "<=") (cons 40 x)))
        )
      )
    )

Discussions similaires

  1. Multi-selection dans une ComboBox ?
    Par Moloko dans le forum MFC
    Réponses: 5
    Dernier message: 07/07/2021, 17h26
  2. [VB6] [Crystal] Selection enregistrement
    Par littlecow dans le forum VB 6 et antérieur
    Réponses: 3
    Dernier message: 11/01/2005, 13h08
  3. TEdit : selection du texte et autre fonction
    Par Odulo dans le forum Composants VCL
    Réponses: 5
    Dernier message: 01/08/2002, 14h27
  4. savoir si 1 point est a l'intérieur d'un cercle ...
    Par skarladevobsy dans le forum Algorithmes et structures de données
    Réponses: 15
    Dernier message: 23/05/2002, 18h14
  5. faire un selection dans une image aves les APIs
    Par merahyazid dans le forum C++Builder
    Réponses: 3
    Dernier message: 30/04/2002, 10h44

Partager

Partager
  • Envoyer la discussion sur Viadeo
  • Envoyer la discussion sur Twitter
  • Envoyer la discussion sur Google
  • Envoyer la discussion sur Facebook
  • Envoyer la discussion sur Digg
  • Envoyer la discussion sur Delicious
  • Envoyer la discussion sur MySpace
  • Envoyer la discussion sur Yahoo